//
//  TwitterPostEngine.h
//  SPTwitterEngine
//
//  Created by Sam Page on 30/08/11.
//  Copyright 2011 Sam Page. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "OAuthConsumer.h"

@interface TwitterPostEngine : NSObject {
	
	OAToken *accessToken;
	OAConsumer *consumer;
	OAMutableURLRequest *request;
	NSURLConnection *connection;
}

- (id)initWithAccessToken:(OAToken *)_accessToken;

- (void)postTweet:(NSString *)tweet;

@end
