//
//  OAStreamDataFetcher.h
//  SPTwitterEngine
//
//  Created by Sam Page on 30/08/11.
//  Copyright 2011 Sam Page. All rights reserved.
//

#import "OADataFetcher.h"

@interface OAStreamDataFetcher : OADataFetcher {
	
	SEL didReceiveSelector;
}

- (void)fetchDataWithRequest:(OAMutableURLRequest *)aRequest 
					delegate:(id)aDelegate 
	  didReceiveDataSelector:(SEL)receivedSelector 
		   didFinishSelector:(SEL)finishSelector 
			 didFailSelector:(SEL)failSelector;

- (void)cancelStreamConnection;

@end
