//
//  RootViewController.h
//  SPTwitterEngineDemo
//
//  Created by Sam Page on 12/10/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "SPTwitterEngine.h"

@interface RootViewController : UITableViewController <TwitterRestEngineDelegate, TwitterStreamEngineDelegate> {
	
	id appDelegate;
	
	TwitterRESTEngine *RESTEngine;
	TwitterStreamEngine *streamEngine;
	
	NSMutableArray *tweets;
}

- (void)initAndStartTwitterRESTEngine:(NSString *)withURL andFilter:(NSString *)filter;
- (void)initAndStartTwitterStreamEngine:(NSURL *)withURL andFilter:(NSString *)filter;


@end
