//
//  Tweet.h
//  MapTest
//
//  Created by Sam Page on 24/08/11.
//  Copyright 2011 Sam Page. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>

@interface Tweet : NSObject <MKAnnotation> {
	
	NSString *text;
	NSString *username;
	NSString *realname;
	NSString *profileImageURL;
	NSString *time;
	NSString *client;
	CGFloat latitude;
	CGFloat longitude;
	CLLocationCoordinate2D coordinate;
	BOOL isGeotagged;
}

@property (nonatomic, retain) NSString *text;
@property (nonatomic, retain) NSString *username;
@property (nonatomic, retain) NSString *realname;
@property (nonatomic, retain) NSString *profileImageURL;
@property (nonatomic, retain) NSString *time;
@property (nonatomic, retain) NSString *client;
@property (nonatomic) CGFloat latitude;
@property (nonatomic) CGFloat longitude;
@property (nonatomic) CLLocationCoordinate2D coordinate;
@property (nonatomic) BOOL isGeotagged;

@end
