//
//  UserProfile.h
//  SPTwitterEngine
//
//  Created by Sam Page on 10/09/11.
//  Copyright 2011 Sam Page. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface UserProfile : NSObject {

	NSString *username;
	NSString *realName;
	NSString *memberSince;
	NSString *profileImageURL;
	NSString *location;
	NSString *userID;
	NSString *website;
	NSString *bio;
	NSString *latestStatus;
	NSNumber *statusCount;
	NSNumber *followCount;
	NSNumber *followingCount;

}

@property (nonatomic, retain) NSString *username;
@property (nonatomic, retain) NSString *realName;
@property (nonatomic, retain) NSString *memberSince;
@property (nonatomic, retain) NSString *profileImageURL;
@property (nonatomic, retain) NSString *location;
@property (nonatomic, retain) NSString *userID;
@property (nonatomic, retain) NSString *website;
@property (nonatomic, retain) NSString *bio;
@property (nonatomic, retain) NSString *latestStatus;
@property (nonatomic, retain) NSNumber *statusCount;
@property (nonatomic, retain) NSNumber *followCount;
@property (nonatomic, retain) NSNumber *followingCount;

@end
